%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:     jgroups
Version:  3.0.4
Release:  1%{?dist}
Summary:  Toolkit for reliable multicast communication
License:  LGPLv2+
URL:      http://www.jgroups.org/
Group:    Development/Libraries

# git clone git://github.com/belaban/JGroups.git jgroups-3.0.4.Final
# cd jgroups-3.0.4.Final && git checkout JGroups_3_0_4_Final
# find . -name '*.class' -delete
# find . -name '*.jar' -delete
# cd .. && tar cafJ jgroups-3.0.4.Final.tar.xz jgroups-3.0.4.Final
Source0:  %{name}-%{namedversion}.tar.xz
Patch0:   %{name}-%{namedversion}-pom.patch

Requires: java
Requires: jpackage-utils

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: bsh
BuildRequires: log4j
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit
BuildRequires: testng

BuildArch:     noarch

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other.

%package  javadoc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion} 
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc INSTALL.html LICENSE README

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog
* Tue Jan 31 2012 Marek Goldmann <mgoldman@redhat.com> - 3.0.4-1
- Upstream release: 3.0.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.12.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 18 2011 Marek Goldmann <mgoldman@redhat.com> - 2.12.1.3
- Upstream release: 2.12.1.3
- Moved to Maven

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 2 2011 mbooth <mbooth@sd.matbooth.co.uk> 2.2.9.2-7
- Drop GCJ support, versioned jars, plus other cleanup.
- No longer requires mx4j (it's included in JDKs >= 1.5).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.2.9.2-6.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.2.9.2-5.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Deepak Bhole <dbhole@redhat.com> 2.2.9.2-4.6
- Fix bouncycastle classpath

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:2.2.9.2-4.5
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:2.2.9.2-4jpp.4
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:2.2.9.2-4jpp.3
- Autorebuild for GCC 4.3

* Thu Sep 27 2007 Jesse Keating <jkeating@redhat.com> - 2.2.9.2-3jpp.3
- Fix the group typo.

* Fri Aug 14 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-3jpp.2
- Keep ENCRYPTAsymmetricTest since BC now available.

* Fri Aug 11 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-3jpp.1
- Resync with latest from JPP.
- Re-enable bouncycastle dependencies.

* Mon Jul 24 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-2jpp_2fc
- Rebuild.

* Sun Jul 23 2006 Vivek Lakshmanan <vivekl@redhat.com> - 0:2.2.9.2-2jpp_1fc
- Merge with latest version from JPP.
- Remove jars from the source tarball.
- Add ant-junit as a build requires.
- Remove tests/junit/org/jgroups/protocols/ENCRYPTAsymmetricTest.java
  temporarily since it needs BouncyCastle.

* Sat Jul 22 2006 Jakub Jelinek <jakub@redhat.com> - 0:2.2.6-1jpp_7fc
- Rebuilt

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:2.2.6-1jpp_6fc
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:2.2.6-1jpp_5fc
- rebuild

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:2.2.6-1jpp_4fc
- stop scriptlet spew

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_3fc
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> 0:2.2.6-1jpp_2fc
- rebuilt

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:2.2.6-1jpp_1fc
- Build into Fedora.
